Page MenuHomePhabricator

Fix Job for running WBJSAPI QUnit tests on Jenkins
Closed, ResolvedPublic

Description

wikibase/javascript-api depends on data-values/javascript, so the dependency needs to be fetched via composer the same way the Wikibase jobs are doing it.

Details

Related Gerrit Patches:
integration/config : masterFix WikibaseJavaScriptApi tests

Event Timeline

Tobi_WMDE_SW raised the priority of this task from to Medium.
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW added a subscriber: Tobi_WMDE_SW.
Tobi_WMDE_SW renamed this task from Run QUnit tests for WikibaseJavaScriptApi on Jenkins to Fix Job for running QUnit tests on Jenkins.Jan 8 2015, 2:54 PM
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW set Security to None.

Change 180418 had a related patch set uploaded (by Tobias Gritschacher):
Make mwext-WikibaseJavaScriptApi-qunit voting

https://gerrit.wikimedia.org/r/180418

Patch-For-Review

adrianheine added a subscriber: adrianheine.

@Krinkle @hashar started reviewing this.

adrianheine renamed this task from Fix Job for running QUnit tests on Jenkins to Fix Job for running WBJSAPI QUnit tests on Jenkins.Jan 13 2015, 11:01 AM

Change 180418 had a related patch set uploaded (by Adrian Lang):
Make mwext-WikibaseJavaScriptApi-qunit voting

https://gerrit.wikimedia.org/r/180418

Patch-For-Review

I have filled a task to have data-values/javascript shipped in mediawiki/vendor. That would hopefully ease the Jenkins jobs configuration: T88436: Add data-values/javascript 0.6.0 to mediawiki/vendor.

JanZerebecki moved this task from Doing to Review on the § Wikidata-Sprint-2015-03-11 board.

Change 180418 merged by jenkins-bot:
Fix WikibaseJavaScriptApi tests

https://gerrit.wikimedia.org/r/180418

Legoktm closed this task as Resolved.Apr 8 2015, 5:40 PM
Legoktm added a subscriber: Legoktm.